XSDOMObject
Keywords: uk.ac.ic.doc.automed.wrappers.xsdomobject.XSDOMObject class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.wrappers.xsdomobject
Class XSDOMObject

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.xsdomobject.XSDOMObject

Direct Known Subclasses:
  Attribute, ComplexType, Element

    public class XSDOMObject

extends java.lang.Object

Author:
  Andrew Smith The base class for all XSDOM objects

Field Summary
`protected java.lang.String` | `icon` The icon for this object in the Schema Editor
`protected java.lang.String` | `keyref` Any keyref there might be
`protected boolean` | `maxOccurs`
`protected int` | `minOccurs` The minOccurs and maxOccurs value for this object.
`protected java.lang.String` | `name` Object name
`protected java.lang.String` | `parent` Object parent
`protected boolean` | `required` Whether or not this is a required attribute
`protected SchemaObject` | `so` The schema object initially associated with this object
`protected java.lang.String` | `type` The type of the object.

Constructor Summary
`XSDOMObject()` Creates a new instance of XSDOMObject

Method Summary
`java.lang.String` | `getIcon()`
`java.lang.String` | `getKeyRef()`
`boolean` | `getMaxOccurs()`
`int` | `getMinOccurs()`
`java.lang.String` | `getName()` Get the name of this object
`java.lang.String` | `getParent()` Get the parent of this object
`SchemaObject` | `getSchemaObject()` Get the schema object for this object
`java.lang.String` | `getType()` Get the type of this object
`void` | `setIcon(java.lang.String i)`
`void` | `setKeyRef(java.lang.String k)`
`void` | `setMaxOccurs(boolean i)`
`void` | `setMinOccurs(int i)`
`void` | `setName(java.lang.String name)` Set the name for this object
`void` | `setParent(java.lang.String name)` Set the parent for this object
`void` | `setSchemaObject(SchemaObject so)` Set the schema object for this object
`void` | `setType(java.lang.String type)` Set the type for this object
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  Object name

### parent

    protected java.lang.String parent

  Object parent

### type

    protected java.lang.String type

  The type of the object. All objects must have a type

### icon

    protected java.lang.String icon

  The icon for this object in the Schema Editor

### minOccurs

    protected int minOccurs

  The minOccurs and maxOccurs value for this object.

### maxOccurs

    protected boolean maxOccurs

### required

    protected boolean required

  Whether or not this is a required attribute

### keyref

    protected java.lang.String keyref

  Any keyref there might be

### so

    protected SchemaObject so

  The schema object initially associated with this object

Constructor Detail

### XSDOMObject

    public XSDOMObject()

  Creates a new instance of XSDOMObject

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name for this object

### setParent

    public void setParent(java.lang.String name)

  Set the parent for this object

### setType

    public void setType(java.lang.String type)

  Set the type for this object

### setSchemaObject

    public void setSchemaObject(SchemaObject so)

  Set the schema object for this object

### getName

    public java.lang.String getName()

  Get the name of this object

### getParent

    public java.lang.String getParent()

  Get the parent of this object

### getType

    public java.lang.String getType()

  Get the type of this object

### getSchemaObject

    public SchemaObject getSchemaObject()

  Get the schema object for this object

### getIcon

    public java.lang.String getIcon()

### setIcon

    public void setIcon(java.lang.String i)

### getMinOccurs

    public int getMinOccurs()

### getMaxOccurs

    public boolean getMaxOccurs()

### setKeyRef

    public void setKeyRef(java.lang.String k)

### setMinOccurs

    public void setMinOccurs(int i)

### setMaxOccurs

    public void setMaxOccurs(boolean i)

### getKeyRef

    public java.lang.String getKeyRef()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD